Name: jakarta-bcel
Version: 5.1
Release: alt3.M24.1

Summary: Byte Code Engineering Library
License: Apache Software License
Group: Development/Java
Packager: Alexey Borovskoy <alb@altlinux.ru>

Url: http://jakarta.apache.org/bcel/
Source: http://jakarta.apache.org/builds/jakarta-bcel/release/v5.1/bcel-%{version}-src.tar.gz
Source1: MANIFEST.MF
Patch1: jakarta-bcel-build.xml.patch

BuildPreReq: j2se1.4-sun-devel ant jakarta-regexp rpm-build-java
BuildRequires: /proc 

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-regexp

%description
The Byte Code Engineering Library (formerly known as JavaClass) is
intended to give users a convenient possibility to analyze, create, and
manipulate (binary) Java class files (those ending with .class). Classes
are represented by objects which contain all the symbolic information of
the given class: methods, fields and byte code instructions, in
particular.  Such objects can be read from an existing file, be
transformed by a program (e.g. a class loader at run-time) and dumped to
a file again. An even more interesting application is the creation of
classes from scratch at run-time. The Byte Code Engineering Library
(BCEL) may be also useful if you want to learn about the Java Virtual
Machine (JVM) and the format of Java .class files.  BCEL is already
being used successfully in several projects such as compilers,
optimizers, obsfuscators and analysis tools, the most popular probably
being the Xalan XSLT processor at Apache.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn bcel-%version
%__cp %{SOURCE1} .
%patch1

%build
%__ant apidocs jar

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 dest/bcel.jar %buildroot%_javadir/%name.jar
%__mv docs/api %buildroot%_javadocdir/%name
%__cp LICENSE.txt %buildroot%_docdir/%name-%version/

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Fri Mar 25 2005 Alexey Borovskoy <alb@altlinux.ru> 5.1-alt3.M24.1
- Spec cleanup

* Wed Jun 09 2004 Alexey Borovskoy <alb@altlinux.ru> 5.1-alt2
- Fix %files section
- Rebuild with j2se1.4-sun

* Wed Dec 03 2003 Alexey Borovskoy <alb@altlinux.ru> 5.1-alt1
- First build for ALTLinux
- Spec cleanup

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:5.1-1jpp
- 5.1
- update for JPackage 1.5

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> - 5.0-6jpp
- For jpackage-utils 1.5

* Tue Feb 25 2003 Ville Skytt <ville.skytta at iki.fi> - 5.0-5jpp
- Rebuild to get docdir right on modern distros.
- Fix License tag and source file perms.
- Built with IBM's 1.3.1SR3 (doesn't build with Sun's 1.4.1_01).

* Tue Jun 11 2002 Henri Gomez <hgomez@slib.fr> 5.0-4jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 5.0-3jpp 
- vendor, distribution, group tags

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 5.0-2jpp 
- section macro
- no dependencies for manual and javadoc package

* Tue Jan 22 2002 Henri Gomez <hgomez@slib.fr> 5.0-1jpp
- bcel is now a jakarta apache project
- dependency on jakarta-regexp instead of gnu.regexp 
- created manual package

* Sat Dec 8 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.4.1-2jpp
- javadoc into javadoc package
- Requires: and BuildRequires: gnu.regexp

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 4.4.1-1jpp
- removed packager tag
- new jpp extension
- 4.4.1

* Thu Oct 11 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.4.0-2jpp
- first unified release
- used lower case for name
- used original tarball
- s/jPackage/JPackage

* Mon Aug 27 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 4.4.0-1mdk
- first Mandrake release
